﻿using Infragistics;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XamPieChartBrushesDemo
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        public enum Letter
        {
            A,
            B,
            C
        }

        BrushCollection brushes = new BrushCollection();
        private void pieChart1_Loaded(object sender, RoutedEventArgs e)
        {
            Dictionary<Letter, int> myDictionary =new Dictionary<Letter,int>();

            for (int i = 1; i < 4; i++)
            {
                if (i % 3 == 0)
                {
                    myDictionary.Add(Letter.A, i);
                }
                else if (i % 3 == 1)
                {
                    myDictionary.Add(Letter.B, i);
                }
                else
                {
                    myDictionary.Add(Letter.C, i);
                }
            }

            pieChart1.ItemsSource = myDictionary;
            pieChart1.LabelMemberPath = "Key";
            pieChart1.ValueMemberPath = "Value";


            foreach (KeyValuePair<Letter, int> kvp in myDictionary)
            {
                if (kvp.Key == Letter.A)
                {
                    brushes.Add(Brushes.Red);
                }
                else if (kvp.Key == Letter.B)
                {
                    brushes.Add(Brushes.Yellow);
                }
                else
                {
                    brushes.Add(Brushes.Blue);
                }
            }

            pieChart1.Brushes = brushes;

        }
    }
}
